| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IAddressCreator Class Referenceabstract

IAddressCreator interface definition. More...

`#include <GaudiKernel/IAddressCreator.h>`

Inheritance diagram for IAddressCreator:
[legend]
Collaboration diagram for IAddressCreator:
[legend]

## Public Member Functions
| DeclareInterfaceID (IAddressCreator, 3, 0)
| InterfaceID. More...
virtual StatusCode | createAddress (long svc_type, const CLID &clid, const std::string *par, const unsigned long *ipar, IOpaqueAddress *&refpAddress)=0
| Create a Generic address using explicit arguments to identify a single object. More...
virtual StatusCode | convertAddress (const IOpaqueAddress *pAddress, std::string &refAddress)=0
| Convert an address to string form. More...
virtual StatusCode | createAddress (long svc_type, const CLID &clid, const std::string &refAddress, IOpaqueAddress *&refpAddress)=0
| Creates an address in string form to object form. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

IAddressCreator interface definition.

The address creator allows to:

- Create persistent address representations for a given conversion service using this service itself. The aim is to allow address creation without coupling directly to the service.

Author
  Markus Frank

Version
  1.0

Definition at line 28 of file IAddressCreator.h.

## Member Function Documentation

virtual StatusCode IAddressCreator::convertAddress | ( | const IOpaqueAddress * | pAddress,
|  | std::string & | refAddress
| ) |  |
| pure virtual

Convert an address to string form.

Parameters

  pAddress | Input address.
  refAddress | Output address in string form.

Returns
  Status code indicating success or failure.

virtual StatusCode IAddressCreator::createAddress | ( | long | svc_type,
|  | const CLID & | clid,
|  | const std::string * | par,
|  | const unsigned long * | ipar,
|  | IOpaqueAddress *& | refpAddress
| ) |  |
| pure virtual

Create a Generic address using explicit arguments to identify a single object.

Parameters

  svc_type | Technology identifier encapsulated in this address.
  clid | Class identifier of the DataObject represented by the opaque address
  par | Array of strings needed to construct the opaque address.
  ipar | Array of integers needed to construct the opaque address.
  refpAddress | Reference to pointer to the address where the created Address should be stored.

Returns
  Status code indicating success or failure.

virtual StatusCode IAddressCreator::createAddress | ( | long | svc_type,
|  | const CLID & | clid,
|  | const std::string & | refAddress,
|  | IOpaqueAddress *& | refpAddress
| ) |  |
| pure virtual

Creates an address in string form to object form.

Parameters

  svc_type | Technology identifier encapsulated in this address.
  clid | Class identifier of the DataObject represented by the opaque address
  address | Input address.
  refpAddress | Output address in string form.

Returns
  Status code indicating success or failure.

IAddressCreator::DeclareInterfaceID | ( | IAddressCreator | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAddressCreator.h